@for $i from 0 through 3 {
   .bdr-#{$i} {
      border-width: #{$i}px;
   }
}

@for $i from 0 through 7 {
   .rad-#{$i} {
      @include all-border-radius(#{$i}px);
   }

   .rad-tr-#{$i} {
      -webkit-border-top-right-radius: #{$i}px;
      -moz-border-top-right-radius: #{$i}px;
      border-top-right-radius: #{$i}px;
   }

   .rad-br-#{$i} {
      -webkit-border-bottom-right-radius: #{$i}px;
      -moz-border-bottom-right-radius: #{$i}px;
      border-bottom-right-radius: #{$i}px;
   }

   .rad-bl-#{$i} {
      -webkit-border-bottom-left-radius: #{$i}px;
      -moz-border-bottom-left-radius: #{$i}px;
      border-bottom-left-radius: #{$i}px;
   }

   .rad-tl-#{$i} {
      -webkit-border-top-left-radius: #{$i}px;
      -moz-border-top-left-radius: #{$i}px;
      border-top-left-radius: #{$i}px;
   }
}